[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSimpleRWSync.Endwrite

Release the write lock

## Declaration

Source position: systhrdh.inc line 31

`public procedure TSimpleRWSync.Endwrite;`

## Description

EndWrite releases the current threads lock on the object, allowing other threads to acquire a read or write lock on the object.

## See also

TSimpleRWSync.BeginWrite |  | Acquire a write lock
TSimpleRWSync.EndRead |  | Release the read lock

Documentation generated on: Feb 26 2014